%define upstream_name    Sort-Naturally
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    sort lexically, but sort numeral parts numerically
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sort/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module exports two functions, 'nsort' and 'ncmp'; they are used in
implementing my idea of a "natural sorting" algorithm. Under natural
sorting, numeric substrings are compared numerically, and other
word-characters are compared lexically.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Sort

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.30.0-10.mga9
+ Revision: 1805684
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.30.0-9.mga8
+ Revision: 1497191
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.30.0-8.mga7
+ Revision: 1271205
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-7.mga6
+ Revision: 1033266
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.30.0-6.mga6
+ Revision: 947785
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-5.mga5
+ Revision: 750913
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-4.mga5
+ Revision: 686212
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 514696
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 372663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.30.0-1.mga3
+ Revision: 255452
- update to 1.03

* Thu Jan 20 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 26987
- mageia rebuild
- imported package perl-Sort-Naturally


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2010.0
+ Revision: 404392
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.02-2mdv2009.0
+ Revision: 268724
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2009.0
+ Revision: 213615
- import perl-Sort-Naturally


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2009.0
- first mdv release 
